Bug 127223 - konsol scrolling sticks when using mouse
konsol scrolling sticks when using mouse
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-04 15:41 EDT by Emmett Culley
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Emmett Culley 2004-07-04 15:41:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
After running # cat /var/log/maillog in a Konsol screen:

When holding left mouse button down for about a second or more, on the
'line up' or 'line down' button on the vertical scrollbar, the console
screen will start to scroll, one line at a time, to the end of the
buffer, and there is no way to stop it.

If I do that I must wait until the entire buffer has scrolled to the
top or bottom.  Quite annoying...

Running # ls -R -lt in a konsol screen then click and holding the line
up button the non stop scrolling does not happen.

Then:  run cat /var/log/maillog again and click an hold (for about a
second or more) the screen scrolls continuously until it reaches the
part of the buffer where the ls -R -lt command output.

Version-Release number of selected component (if applicable):
kdsutils-3.2.2-3

How reproducible:
Always

Steps to Reproduce:
1.start konsol
2.# cd /
3.# ls -R -lt
4.Left click on line up button and hold.  Screen scrolls only until
you lift the mouse button.
5.# cat /var/log/maillog
6.Left click on line up button and hold about one scond or more. 
Screen scrolls continuously until ls command output is reached. 
During the continuous scroll you cannot interact with konsol in any way.
    

Actual Results:  Gotta wait a long time...

Expected Results:  Screen to stop scrolling when mouse button lifted.

Additional info:
Comment 1 Matthew Miller 2005-04-26 11:10:28 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 John Thacker 2006-10-25 15:46:41 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.